package com.usky.iot.controller.web;


import com.usky.common.core.bean.ApiResult;
import com.usky.common.core.bean.CommonPage;
import com.usky.iot.domain.CrmCustomInfo;
import com.usky.iot.service.CrmCustomInfoService;
import com.usky.iot.service.vo.CrmCustomInfoRequestVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

/**
 * <p>
 * 客户管理信息表 前端控制器
 * </p>
 *
 * @author han
 * @since 2023-06-26
 */
@RestController
@RequestMapping("/crmCustomInfo")
public class CrmCustomInfoController {

    @Autowired
    private CrmCustomInfoService crmCustomInfoService;

    /**
     * 新增
     * @param crmCustomInfo
     * @return
     */
    @PostMapping
    public ApiResult<Void> add(@RequestBody CrmCustomInfo crmCustomInfo){
        crmCustomInfoService.add(crmCustomInfo);
        return ApiResult.success();
    }

    /**
     * 修改
     * @param crmCustomInfo
     * @return
     */
    @PutMapping
    public ApiResult<Void> edit(@RequestBody CrmCustomInfo crmCustomInfo){
        crmCustomInfoService.edit(crmCustomInfo);
        return ApiResult.success();
    }

    /**
     * 删除
     * @param id
     * @return
     */
    @DeleteMapping("/{id}")
    public ApiResult<Void> remove(@PathVariable("id") Integer id){
        crmCustomInfoService.remove(id);
        return ApiResult.success();
    }

    /**
     * 分页
     * @param crmCustomInfoRequestVO
     * @return
     */
    @PostMapping("/page")
    public ApiResult<CommonPage<CrmCustomInfo>> page(@RequestBody CrmCustomInfoRequestVO crmCustomInfoRequestVO){
        return ApiResult.success(crmCustomInfoService.page(crmCustomInfoRequestVO));
    }

}

